<?php

//cliente
class Cliente {
    public $nome;
    public $profissao;
    public $telefone;
    private $dataNascimento;
    public $rua;
    public $numero;
    public $bairro;
    public $cidade;
    public $instagran;
    -

    public function __construct($nome,
                                       $profissao,
                                       $telefone,
                                       $dataNascimento,
                                       $rua,
                                       $numero,
                                       $bairro,
                                       $cidade,
                                       $instagran){

        $this->nome = $nome;
        $this->profissao = $profissao;
        $this->telefone = $telefone;
        $this->setDataNascimento($dataNascimento);
        $this->rua = $rua;
        $this->numero = $numero;
        $this->bairro = $bairro;
        $this->cidade;
        $this->instagran;
    }

    //metodos getters e setters para dataNascimento
    public function setDataNascimento($dataNascimento){
        $this->dataNascimento = $dataNascimento;
    }
    public function getDataNascimento(){
        return $this->dataNascimento;
    }

    //add cliente
    public function CadastrarCliente(Cliente $Cliente){
        
    }
    
    //listar todos os clientes
    public function listarClientes($conexao){
        return $clientes;
    }
    //buscar um cliente
    public function buscarCliente($conexao,$nome){

    }
}